Bug 2009795

Summary: GDM fails to appear, hangs at Fedora logo: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not activate remote peer
Product: [Fedora] Fedora Reporter: RobbieTheK <rkudyba>
Component: gdmAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 36CC: caillon+fedoraproject, do.siekierskipd, gnome-sig, mclasen, philip.wyett, rhughes, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-06-08 00:49:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description RobbieTheK 2021-10-01 15:25:21 UTC
gdm-40.1-1.fc34.x86_64,  5.13.19-200.fc34.x86_64, running NIS, after a reboot the screen hangs at a Fedora log, and in our case, a Dell logo. ssh works remotely. ctl-alt-F2 brings a blinking cursor. Graphics card is: VGA compatible controller: Intel Corporation HD Graphics 630 (rev 04)

The error I see is Gdm: GdmLocalDisplayFactory: Failed to issue method call: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not activate remote peer.

Some other errors from the journal:

Sep 30 16:36:53 ourdomain.edu systemd[1]: Started GNOME Display Manager.
Sep 30 16:36:53 ourdomain.edu systemd[1]: Received SIGRTMIN+21 from PID 421 (plymouthd).
Sep 30 16:36:53 ourdomain.edu dbus-broker-launch[2274]: Activation request for 'org.freedesktop.login1' failed.
Sep 30 16:36:53 ourdomain.edu systemd[1]: tmp-autoMl9z9k.mount: Deactivated successfully.
Sep 30 16:36:53 ourdomain.edu systemd[1]: Started Automounts filesystems on demand.
Sep 30 16:36:53 ourdomain.edu systemd[1]: Started Command Scheduler.
Sep 30 16:36:54 ourdomain.edu systemd[1]: tmp-autoDp56eM.mount: Deactivated successfully.

Sep 30 16:39:31 ourdomain.edu dbus-broker-launch[2274]: Activation request for 'org.freedesktop.login1' failed.
Sep 30 16:39:31 ourdomain.edu sshd[2879]: pam_systemd(sshd:session): Failed to create session: Could not activate remote peer.

Should this be filed upstream?

I figured out a work around that may help others.
1. set nouveau.modeset=0 in /etc/default/grub and run grub2-mkconfig to regenerate
2. Install LightDM along with lightdm-gtk-greeter
3. Create a new drop in file, e.g., /etc/systemd/system/lightdm.service.d/fixes.conf containing:
Type=dbus
RestartSec=10s
ExecStartPre=/bin/sleep 5
4. Disable GDM
5. Enable/start LightDM

Comment 1 Ben Cotton 2022-05-12 16:32:11 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Ben Cotton 2022-06-08 00:49:44 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 do.siekierskipd 2022-06-18 06:36:41 UTC
The problem still occurs. Fedora 36 Workstation won't shut down


cze 18 08:11:11 lenovo gdm[1170]: Gdm: Failed to list cached users: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not activate remote peer: activation request failed: a concurrent deactivation request is already in progress.
cze 18 08:11:11 lenovo systemd[1]: gdm.service: Main process exited, code=exited, status=1/FAILURE
cze 18 08:11:11 lenovo systemd[1]: gdm.service: Failed with result 'exit-code'.
cze 18 08:11:11 lenovo gnome-shell[2472]: Could not release device '/dev/input/event9' (13,73): GDBus.Error:org.freedesktop.DBus.Error.NoReply: Remote peer disconnected
cze 18 08:11:11 lenovo systemd[1]: Stopped gdm.service - GNOME Display Manager.
cze 18 08:11:11 lenovo systemd[1]: gdm.service: Triggering OnFailure= dependencies.
cze 18 08:11:11 lenovo systemd[1]: Requested transaction contradicts existing jobs: Transaction for plymouth-quit.service/start is destructive (system-systemd\x2dfsck.slice has 'stop' job queued, but 'start' is included in transaction).
cze 18 08:11:11 lenovo audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=gdm comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'


Host: IdeaPad 5 Pro 16IHU6 
Kernel: 5.18.5-200.fc36.x86_64
CPU: 11th Gen Intel i5-11300H
GPU: Intel TigerLake-LP GT2 [Iris Xe Graphics] 
GPU: NVIDIA GeForce MX450 (nvidia 510.68.02)